function generateWarning(child, parent) {
  return function () {
    return console.warn("[Vuetify] Warn: The " + child + " component must be used inside a " + parent + ".");
  };
}

export function inject(child, parent) {
  return {
    inject: {
      register: {
        default: function _default() {
          return generateWarning(child, parent);
        }
      },
      unregister: {
        default: function _default() {
          return generateWarning(child, parent);
        }
      }
    }
  };
}

export var provide = {
  methods: {
    register: null,
    unregister: null
  },
  provide: function provide() {
    return {
      register: this.register,
      unregister: this.unregister
    };
  }
};